﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.WinControls.UI.Localization;
using System.Windows.Forms;

namespace GermanRadControlsLocalization
{
    class GermanRadDockLocalizationProvider : RadDockLocalizationProvider
    {
        public override string GetLocalizedString( string id )
        {
            switch ( id )
            {
                case RadDockStringId.ContextMenuAutoHide:
                    return "Automatisch im Hintergrund";
                case RadDockStringId.ContextMenuCancel:
                    return "Abbrechen";
                case RadDockStringId.ContextMenuClose:
                    return "Schließen";
                case RadDockStringId.ContextMenuCloseAll:
                    return "Alle schließen";
                case RadDockStringId.ContextMenuCloseAllButThis:
                    return "Alle außer diesem schließen";
                case RadDockStringId.ContextMenuDockable:
                    return "Andocken";
                case RadDockStringId.ContextMenuFloating:
                    return "Verankerung aufheben";
                case RadDockStringId.ContextMenuHide:
                    return "Ausblenden";
                case RadDockStringId.ContextMenuMoveToNextTabGroup:
                    return "In nächste Registerkartengruppe verschieben";
                case RadDockStringId.ContextMenuMoveToPreviousTabGroup:
                    return "In vorherige Registerkartengruppe verschieben";
                case RadDockStringId.ContextMenuNewHorizontalTabGroup:
                    return "Neue horizontale Registerkartengruppe";
                case RadDockStringId.ContextMenuNewVerticalTabGroup:
                    return "Neue vertikale Registerkartengruppe";
                case RadDockStringId.ContextMenuTabbedDocument:
                    return "Als Dokument im Registerkartenformat andocken";
                case RadDockStringId.DocumentTabStripCloseButton:
                    return "Schließen";
                case RadDockStringId.DocumentTabStripListButton:
                    return "Liste der offenen Registerkarten";
                case RadDockStringId.ToolTabStripCloseButton:
                    return "Schließen";
                case RadDockStringId.ToolTabStripDockStateButton:
                    return "Position des Fensters";
                case RadDockStringId.ToolTabStripPinButton:
                    return "Automatisch im Hintergrund";
                case RadDockStringId.ToolTabStripUnpinButton:
                    return "Automatisch im Hintergrund";
                default:
                    MessageBox.Show( "GermanRadDockLocalizationProvider: Missing Translation for: " + id );
                    return base.GetLocalizedString( id );
            }
        }
    }
}
