﻿using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;
using Telerik.WinControls.UI.Localization;

namespace GermanRadControlsLocalization
{
    public class GermanRadPageViewLocalizationProvider : RadPageViewLocalizationProvider
    {
       public override string GetLocalizedString(string id)
       {
           switch (id)
           {
               case RadPageViewStringId.AddRemoveButtonsItemCaption:
                   return "Schaltflächen hinzufügen oder entfernen";
               case RadPageViewStringId.CloseButtonTooltip:
                   return "Schließe ausgewählte Schaltfläche";
               case RadPageViewStringId.CloseSelectedPageCaption:
                   return "Schließe ausgewählte Schaltfläche";
               case RadPageViewStringId.ItemCloseButtonTooltip:
                   return "Schließe Schaltfläche";
               case RadPageViewStringId.ItemListButtonTooltip:
                   return "Verfügbare Schaltflächen";
               case RadPageViewStringId.LeftScrollButtonTooltip:
                   return "Weitere Schaltflächen links";
               case RadPageViewStringId.NewItemTooltipText:
                   return "Schaltfläche neu";
               case RadPageViewStringId.RightScrollButtonTooltip:
                   return "Weitere Schaltflächen rechts";
               case RadPageViewStringId.ScrollStripLeftCaption:
                   return "Weitere Schaltflächen links";
               case RadPageViewStringId.ScrollStripRightCaption:
                   return "Weitere Schaltflächen rechts";
               case RadPageViewStringId.ShowFewerButtonsItemCaption:
                   return "Weniger Schaltflächen";
               case RadPageViewStringId.ShowMoreButtonsItemCaption:
                   return "Weitere Schaltflächen";
               default:
                   MessageBox.Show( "GermanRadPageViewLocalizationProvider: Missing Translation for: " + id );
                   return base.GetLocalizedString(id);
           }
       }
    }
}
