﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI.Localization;
using Telerik.WinControls.UI;

namespace GermanRadControlsLocalization
{
    public class GermanRadSchedulerNavigatorLocalizationProvider : SchedulerNavigatorLocalizationProvider
    {
        public override string GetLocalizedString( string id )
        {
            switch ( id )
            {
                case SchedulerNavigatorStringId.DayViewButtonCaption:
                        return "Tag";
                case SchedulerNavigatorStringId.MonthViewButtonCaption:
                        return "Monat";
                case SchedulerNavigatorStringId.ShowWeekendCheckboxCaption:
                        return "Volle Woche anzeigen";
                case SchedulerNavigatorStringId.WeekViewButtonCaption:
                        return "Woche";
                case SchedulerNavigatorStringId.TimelineViewButtonCaption:
                        return "Zeitreihe";
                default:
                    MessageBox.Show( "GermanRadSchedulerNavigatorLocalizationProvider: Missing Translation for: " + id );
                    break;
            }

            return String.Empty;
        }
    }
}
