﻿using System.Windows.Forms;
using Telerik.WinControls;

namespace GermanRadControlsLocalization
{
    public class GermanRadMessageBoxLocalizationProvider : RadMessageLocalizationProvider
    {
       public override string GetLocalizedString(string id)
       {
           switch (id)
           {
               case RadMessageStringID.AbortButton: 
                   return "Abbrechen";
               case RadMessageStringID.CancelButton: 
                   return "Abbrechen";
               case RadMessageStringID.IgnoreButton: 
                   return "Ignorieren";
               case RadMessageStringID.NoButton: 
                   return "Nein";
               case RadMessageStringID.OKButton: 
                   return "OK";
               case RadMessageStringID.RetryButton: 
                   return "Wiederholen";
               case RadMessageStringID.YesButton: 
                   return "Ja";                 
               default:
                   MessageBox.Show( "GermanRadMessageBoxLocalizationProvider: Missing Translation for: " + id );
                   return base.GetLocalizedString(id);
           }
       }
    }
}
