﻿using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls.UI.Localization;

namespace GermanRadControlsLocalization
{
    public class GermanRadToolStripLocalizationProvider : RadToolStripLocalizationProvider

    {
       public override string GetLocalizationString(RadToolStripLocalizationStringId id)
       {
           switch (id)
           {
               case RadToolStripLocalizationStringId.AddorRemoveButtons:
                   return "Schaltflächen hinzufügen oder entfernen";
               case RadToolStripLocalizationStringId.CloseButton:
                   return "Schließen";
               case RadToolStripLocalizationStringId.Customize:
                   return "Anpassen ...";
               case RadToolStripLocalizationStringId.CustomizeDialogCaption:
                   return "Anpassen";
               case RadToolStripLocalizationStringId.NoTextAssociated:
                   return "Kein Text";
               case RadToolStripLocalizationStringId.ResetButton:
                   return "Zurücksetzen";
               case RadToolStripLocalizationStringId.ResetToolBar:
                   return "Symbolleiste zurücksetzen";
               case RadToolStripLocalizationStringId.ResetToolBarsAlertMessage:
                   return "Sind Sie sicher, dass Sie die Änderungen für die Symbolleiste zurücksetzen möchten ?";
               case RadToolStripLocalizationStringId.ToolBarsTabItem:
                   return "Symbolleisten";                   
               default:
                   MessageBox.Show( "GermanRadToolStripLocalizationProvider: Missing Translation for: " + id );
                   return base.GetLocalizationString( id );
           }
       }
    }
}
