﻿using System.Windows.Forms;
using Telerik.WinControls.UI.TreeView.LocalizationProvider;

namespace GermanRadControlsLocalization
{
    public class GermanRadTreeViewLocalizationProvider : RadTreeViewLocalizationProvider
    {
        public override string GetLocalizedString(string id)
        {
            switch (id)
            {
                case RadTreeViewStringId.ContextMenuCollapse:
                    return "Reduzieren";
                case RadTreeViewStringId.ContextMenuDelete:
                    return "Löschen";
                case RadTreeViewStringId.ContextMenuEdit:
                    return "Umbenennen";
                case RadTreeViewStringId.ContextMenuExpand:
                    return "Erweitern";
                case RadTreeViewStringId.ContextMenuNew:
                    return "Neu";
                default:
                    MessageBox.Show( "GermanRadTreeViewLocalizationProvider: Missing Translation for: " + id );
                    return base.GetLocalizedString( id );
            }
        }
    }
}
